summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorColin Watson <cjwatson@debian.org>2016-02-29 12:15:15 +0000
committerColin Watson <cjwatson@debian.org>2016-02-29 12:15:15 +0000
commitc52a95cc4754e6630c96fe65ae0c65eb41d2c590 (patch)
tree793395934013923b7b2426382c0676edcd4be3d4 /configure
parenteeff4de96f5d7365750dc56912c2c62b5c28db6b (diff)
parent72b061d4ba0f909501c595d709ea76e06b01e5c9 (diff)
Import openssh_7.2p1.orig.tar.gz
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure735
1 files changed, 567 insertions, 168 deletions
diff --git a/configure b/configure
index 0d7a5b97e..2a46ba966 100755
--- a/configure
+++ b/configure
@@ -1320,7 +1320,7 @@ Optional Packages:
1320 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1320 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1321 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 1321 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1322 --without-openssl Disable use of OpenSSL; use only limited internal crypto **EXPERIMENTAL** 1322 --without-openssl Disable use of OpenSSL; use only limited internal crypto **EXPERIMENTAL**
1323 --without-ssh1 Enable support for SSH protocol 1 1323 --with-ssh1 Enable support for SSH protocol 1
1324 --without-stackprotect Don't use compiler's stack protection 1324 --without-stackprotect Don't use compiler's stack protection
1325 --without-hardening Don't use toolchain hardening flags 1325 --without-hardening Don't use toolchain hardening flags
1326 --without-rpath Disable auto-added -R linker paths 1326 --without-rpath Disable auto-added -R linker paths
@@ -1331,6 +1331,7 @@ Optional Packages:
1331 --with-Werror Build main code with -Werror 1331 --with-Werror Build main code with -Werror
1332 --with-solaris-contracts Enable Solaris process contracts (experimental) 1332 --with-solaris-contracts Enable Solaris process contracts (experimental)
1333 --with-solaris-projects Enable Solaris projects (experimental) 1333 --with-solaris-projects Enable Solaris projects (experimental)
1334 --with-solaris-privs Enable Solaris/Illumos privileges (experimental)
1334 --with-osfsia Enable Digital Unix SIA 1335 --with-osfsia Enable Digital Unix SIA
1335 --with-zlib=PATH Use zlib in PATH 1336 --with-zlib=PATH Use zlib in PATH
1336 --without-zlib-version-check Disable zlib version check 1337 --without-zlib-version-check Disable zlib version check
@@ -1346,7 +1347,7 @@ Optional Packages:
1346 --with-prngd-socket=FILE read entropy from PRNGD/EGD socket FILE (default=/var/run/egd-pool) 1347 --with-prngd-socket=FILE read entropy from PRNGD/EGD socket FILE (default=/var/run/egd-pool)
1347 --with-pam Enable PAM support 1348 --with-pam Enable PAM support
1348 --with-privsep-user=user Specify non-privileged user for privilege separation 1349 --with-privsep-user=user Specify non-privileged user for privilege separation
1349 --with-sandbox=style Specify privilege separation sandbox (no, darwin, rlimit, systrace, seccomp_filter, capsicum) 1350 --with-sandbox=style Specify privilege separation sandbox (no, capsicum, darwin, rlimit, seccomp_filter, systrace, pledge)
1350 --with-selinux Enable SELinux support 1351 --with-selinux Enable SELinux support
1351 --with-kerberos5=PATH Enable Kerberos 5 support 1352 --with-kerberos5=PATH Enable Kerberos 5 support
1352 --with-privsep-path=xxx Path for privilege separation chroot (default=/var/empty) 1353 --with-privsep-path=xxx Path for privilege separation chroot (default=/var/empty)
@@ -7972,6 +7973,11 @@ done
7972SIA_MSG="no" 7973SIA_MSG="no"
7973SPC_MSG="no" 7974SPC_MSG="no"
7974SP_MSG="no" 7975SP_MSG="no"
7976SPP_MSG="no"
7977
7978# Support for Solaris/Illumos privileges (this test is used by both
7979# the --with-solaris-privs option and --with-sandbox=solaris).
7980SOLARIS_PRIVS="no"
7975 7981
7976# Check for some target-specific stuff 7982# Check for some target-specific stuff
7977case "$host" in 7983case "$host" in
@@ -8960,6 +8966,11 @@ _ACEOF
8960 8966
8961 8967
8962cat >>confdefs.h <<\_ACEOF 8968cat >>confdefs.h <<\_ACEOF
8969#define NO_UID_RESTORATION_TEST 1
8970_ACEOF
8971
8972
8973cat >>confdefs.h <<\_ACEOF
8963#define DISABLE_SHADOW 1 8974#define DISABLE_SHADOW 1
8964_ACEOF 8975_ACEOF
8965 8976
@@ -9491,6 +9502,73 @@ fi
9491 9502
9492done 9503done
9493 9504
9505 { echo "$as_me:$LINENO: checking for sandbox_apply in -lsandbox" >&5
9506echo $ECHO_N "checking for sandbox_apply in -lsandbox... $ECHO_C" >&6; }
9507if test "${ac_cv_lib_sandbox_sandbox_apply+set}" = set; then
9508 echo $ECHO_N "(cached) $ECHO_C" >&6
9509else
9510 ac_check_lib_save_LIBS=$LIBS
9511LIBS="-lsandbox $LIBS"
9512cat >conftest.$ac_ext <<_ACEOF
9513/* confdefs.h. */
9514_ACEOF
9515cat confdefs.h >>conftest.$ac_ext
9516cat >>conftest.$ac_ext <<_ACEOF
9517/* end confdefs.h. */
9518
9519/* Override any GCC internal prototype to avoid an error.
9520 Use char because int might match the return type of a GCC
9521 builtin and then its argument prototype would still apply. */
9522#ifdef __cplusplus
9523extern "C"
9524#endif
9525char sandbox_apply ();
9526int
9527main ()
9528{
9529return sandbox_apply ();
9530 ;
9531 return 0;
9532}
9533_ACEOF
9534rm -f conftest.$ac_objext conftest$ac_exeext
9535if { (ac_try="$ac_link"
9536case "(($ac_try" in
9537 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9538 *) ac_try_echo=$ac_try;;
9539esac
9540eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9541 (eval "$ac_link") 2>conftest.er1
9542 ac_status=$?
9543 grep -v '^ *+' conftest.er1 >conftest.err
9544 rm -f conftest.er1
9545 cat conftest.err >&5
9546 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9547 (exit $ac_status); } && {
9548 test -z "$ac_c_werror_flag" ||
9549 test ! -s conftest.err
9550 } && test -s conftest$ac_exeext &&
9551 $as_test_x conftest$ac_exeext; then
9552 ac_cv_lib_sandbox_sandbox_apply=yes
9553else
9554 echo "$as_me: failed program was:" >&5
9555sed 's/^/| /' conftest.$ac_ext >&5
9556
9557 ac_cv_lib_sandbox_sandbox_apply=no
9558fi
9559
9560rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9561 conftest$ac_exeext conftest.$ac_ext
9562LIBS=$ac_check_lib_save_LIBS
9563fi
9564{ echo "$as_me:$LINENO: result: $ac_cv_lib_sandbox_sandbox_apply" >&5
9565echo "${ECHO_T}$ac_cv_lib_sandbox_sandbox_apply" >&6; }
9566if test $ac_cv_lib_sandbox_sandbox_apply = yes; then
9567
9568 SSHDLIBS="$SSHDLIBS -lsandbox"
9569
9570fi
9571
9494 ;; 9572 ;;
9495*-*-dragonfly*) 9573*-*-dragonfly*)
9496 SSHDLIBS="$SSHDLIBS -lcrypt" 9574 SSHDLIBS="$SSHDLIBS -lcrypt"
@@ -10789,6 +10867,339 @@ _ACEOF
10789echo "${ECHO_T}no" >&6; } 10867echo "${ECHO_T}no" >&6; }
10790 fi 10868 fi
10791 10869
10870for ac_func in setppriv
10871do
10872as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10873{ echo "$as_me:$LINENO: checking for $ac_func" >&5
10874echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
10875if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
10876 echo $ECHO_N "(cached) $ECHO_C" >&6
10877else
10878 cat >conftest.$ac_ext <<_ACEOF
10879/* confdefs.h. */
10880_ACEOF
10881cat confdefs.h >>conftest.$ac_ext
10882cat >>conftest.$ac_ext <<_ACEOF
10883/* end confdefs.h. */
10884/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10885 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10886#define $ac_func innocuous_$ac_func
10887
10888/* System header to define __stub macros and hopefully few prototypes,
10889 which can conflict with char $ac_func (); below.
10890 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10891 <limits.h> exists even on freestanding compilers. */
10892
10893#ifdef __STDC__
10894# include <limits.h>
10895#else
10896# include <assert.h>
10897#endif
10898
10899#undef $ac_func
10900
10901/* Override any GCC internal prototype to avoid an error.
10902 Use char because int might match the return type of a GCC
10903 builtin and then its argument prototype would still apply. */
10904#ifdef __cplusplus
10905extern "C"
10906#endif
10907char $ac_func ();
10908/* The GNU C library defines this for functions which it implements
10909 to always fail with ENOSYS. Some functions are actually named
10910 something starting with __ and the normal name is an alias. */
10911#if defined __stub_$ac_func || defined __stub___$ac_func
10912choke me
10913#endif
10914
10915int
10916main ()
10917{
10918return $ac_func ();
10919 ;
10920 return 0;
10921}
10922_ACEOF
10923rm -f conftest.$ac_objext conftest$ac_exeext
10924if { (ac_try="$ac_link"
10925case "(($ac_try" in
10926 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10927 *) ac_try_echo=$ac_try;;
10928esac
10929eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10930 (eval "$ac_link") 2>conftest.er1
10931 ac_status=$?
10932 grep -v '^ *+' conftest.er1 >conftest.err
10933 rm -f conftest.er1
10934 cat conftest.err >&5
10935 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10936 (exit $ac_status); } && {
10937 test -z "$ac_c_werror_flag" ||
10938 test ! -s conftest.err
10939 } && test -s conftest$ac_exeext &&
10940 $as_test_x conftest$ac_exeext; then
10941 eval "$as_ac_var=yes"
10942else
10943 echo "$as_me: failed program was:" >&5
10944sed 's/^/| /' conftest.$ac_ext >&5
10945
10946 eval "$as_ac_var=no"
10947fi
10948
10949rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
10950 conftest$ac_exeext conftest.$ac_ext
10951fi
10952ac_res=`eval echo '${'$as_ac_var'}'`
10953 { echo "$as_me:$LINENO: result: $ac_res" >&5
10954echo "${ECHO_T}$ac_res" >&6; }
10955if test `eval echo '${'$as_ac_var'}'` = yes; then
10956 cat >>confdefs.h <<_ACEOF
10957#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10958_ACEOF
10959
10960fi
10961done
10962
10963
10964for ac_func in priv_basicset
10965do
10966as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10967{ echo "$as_me:$LINENO: checking for $ac_func" >&5
10968echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
10969if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
10970 echo $ECHO_N "(cached) $ECHO_C" >&6
10971else
10972 cat >conftest.$ac_ext <<_ACEOF
10973/* confdefs.h. */
10974_ACEOF
10975cat confdefs.h >>conftest.$ac_ext
10976cat >>conftest.$ac_ext <<_ACEOF
10977/* end confdefs.h. */
10978/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10979 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10980#define $ac_func innocuous_$ac_func
10981
10982/* System header to define __stub macros and hopefully few prototypes,
10983 which can conflict with char $ac_func (); below.
10984 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10985 <limits.h> exists even on freestanding compilers. */
10986
10987#ifdef __STDC__
10988# include <limits.h>
10989#else
10990# include <assert.h>
10991#endif
10992
10993#undef $ac_func
10994
10995/* Override any GCC internal prototype to avoid an error.
10996 Use char because int might match the return type of a GCC
10997 builtin and then its argument prototype would still apply. */
10998#ifdef __cplusplus
10999extern "C"
11000#endif
11001char $ac_func ();
11002/* The GNU C library defines this for functions which it implements
11003 to always fail with ENOSYS. Some functions are actually named
11004 something starting with __ and the normal name is an alias. */
11005#if defined __stub_$ac_func || defined __stub___$ac_func
11006choke me
11007#endif
11008
11009int
11010main ()
11011{
11012return $ac_func ();
11013 ;
11014 return 0;
11015}
11016_ACEOF
11017rm -f conftest.$ac_objext conftest$ac_exeext
11018if { (ac_try="$ac_link"
11019case "(($ac_try" in
11020 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11021 *) ac_try_echo=$ac_try;;
11022esac
11023eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11024 (eval "$ac_link") 2>conftest.er1
11025 ac_status=$?
11026 grep -v '^ *+' conftest.er1 >conftest.err
11027 rm -f conftest.er1
11028 cat conftest.err >&5
11029 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11030 (exit $ac_status); } && {
11031 test -z "$ac_c_werror_flag" ||
11032 test ! -s conftest.err
11033 } && test -s conftest$ac_exeext &&
11034 $as_test_x conftest$ac_exeext; then
11035 eval "$as_ac_var=yes"
11036else
11037 echo "$as_me: failed program was:" >&5
11038sed 's/^/| /' conftest.$ac_ext >&5
11039
11040 eval "$as_ac_var=no"
11041fi
11042
11043rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
11044 conftest$ac_exeext conftest.$ac_ext
11045fi
11046ac_res=`eval echo '${'$as_ac_var'}'`
11047 { echo "$as_me:$LINENO: result: $ac_res" >&5
11048echo "${ECHO_T}$ac_res" >&6; }
11049if test `eval echo '${'$as_ac_var'}'` = yes; then
11050 cat >>confdefs.h <<_ACEOF
11051#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
11052_ACEOF
11053
11054fi
11055done
11056
11057
11058for ac_header in priv.h
11059do
11060as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
11061if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11062 { echo "$as_me:$LINENO: checking for $ac_header" >&5
11063echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11064if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11065 echo $ECHO_N "(cached) $ECHO_C" >&6
11066fi
11067ac_res=`eval echo '${'$as_ac_Header'}'`
11068 { echo "$as_me:$LINENO: result: $ac_res" >&5
11069echo "${ECHO_T}$ac_res" >&6; }
11070else
11071 # Is the header compilable?
11072{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
11073echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
11074cat >conftest.$ac_ext <<_ACEOF
11075/* confdefs.h. */
11076_ACEOF
11077cat confdefs.h >>conftest.$ac_ext
11078cat >>conftest.$ac_ext <<_ACEOF
11079/* end confdefs.h. */
11080$ac_includes_default
11081#include <$ac_header>
11082_ACEOF
11083rm -f conftest.$ac_objext
11084if { (ac_try="$ac_compile"
11085case "(($ac_try" in
11086 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11087 *) ac_try_echo=$ac_try;;
11088esac
11089eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11090 (eval "$ac_compile") 2>conftest.er1
11091 ac_status=$?
11092 grep -v '^ *+' conftest.er1 >conftest.err
11093 rm -f conftest.er1
11094 cat conftest.err >&5
11095 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11096 (exit $ac_status); } && {
11097 test -z "$ac_c_werror_flag" ||
11098 test ! -s conftest.err
11099 } && test -s conftest.$ac_objext; then
11100 ac_header_compiler=yes
11101else
11102 echo "$as_me: failed program was:" >&5
11103sed 's/^/| /' conftest.$ac_ext >&5
11104
11105 ac_header_compiler=no
11106fi
11107
11108rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11109{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
11110echo "${ECHO_T}$ac_header_compiler" >&6; }
11111
11112# Is the header present?
11113{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
11114echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
11115cat >conftest.$ac_ext <<_ACEOF
11116/* confdefs.h. */
11117_ACEOF
11118cat confdefs.h >>conftest.$ac_ext
11119cat >>conftest.$ac_ext <<_ACEOF
11120/* end confdefs.h. */
11121#include <$ac_header>
11122_ACEOF
11123if { (ac_try="$ac_cpp conftest.$ac_ext"
11124case "(($ac_try" in
11125 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11126 *) ac_try_echo=$ac_try;;
11127esac
11128eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11129 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
11130 ac_status=$?
11131 grep -v '^ *+' conftest.er1 >conftest.err
11132 rm -f conftest.er1
11133 cat conftest.err >&5
11134 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11135 (exit $ac_status); } >/dev/null && {
11136 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
11137 test ! -s conftest.err
11138 }; then
11139 ac_header_preproc=yes
11140else
11141 echo "$as_me: failed program was:" >&5
11142sed 's/^/| /' conftest.$ac_ext >&5
11143
11144 ac_header_preproc=no
11145fi
11146
11147rm -f conftest.err conftest.$ac_ext
11148{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
11149echo "${ECHO_T}$ac_header_preproc" >&6; }
11150
11151# So? What about this header?
11152case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
11153 yes:no: )
11154 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
11155echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
11156 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
11157echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
11158 ac_header_preproc=yes
11159 ;;
11160 no:yes:* )
11161 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
11162echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
11163 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
11164echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
11165 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
11166echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
11167 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
11168echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
11169 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
11170echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
11171 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
11172echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
11173 ( cat <<\_ASBOX
11174## ------------------------------------------- ##
11175## Report this to openssh-unix-dev@mindrot.org ##
11176## ------------------------------------------- ##
11177_ASBOX
11178 ) | sed "s/^/$as_me: WARNING: /" >&2
11179 ;;
11180esac
11181{ echo "$as_me:$LINENO: checking for $ac_header" >&5
11182echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11183if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11184 echo $ECHO_N "(cached) $ECHO_C" >&6
11185else
11186 eval "$as_ac_Header=\$ac_header_preproc"
11187fi
11188ac_res=`eval echo '${'$as_ac_Header'}'`
11189 { echo "$as_me:$LINENO: result: $ac_res" >&5
11190echo "${ECHO_T}$ac_res" >&6; }
11191
11192fi
11193if test `eval echo '${'$as_ac_Header'}'` = yes; then
11194 cat >>confdefs.h <<_ACEOF
11195#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
11196_ACEOF
11197
11198fi
11199
11200done
11201
11202
10792# Check whether --with-solaris-contracts was given. 11203# Check whether --with-solaris-contracts was given.
10793if test "${with_solaris_contracts+set}" = set; then 11204if test "${with_solaris_contracts+set}" = set; then
10794 withval=$with_solaris_contracts; 11205 withval=$with_solaris_contracts;
@@ -10859,7 +11270,7 @@ cat >>confdefs.h <<\_ACEOF
10859#define USE_SOLARIS_PROCESS_CONTRACTS 1 11270#define USE_SOLARIS_PROCESS_CONTRACTS 1
10860_ACEOF 11271_ACEOF
10861 11272
10862 SSHDLIBS="$SSHDLIBS -lcontract" 11273 LIBS="$LIBS -lcontract"
10863 SPC_MSG="yes" 11274 SPC_MSG="yes"
10864fi 11275fi
10865 11276
@@ -10937,13 +11348,45 @@ cat >>confdefs.h <<\_ACEOF
10937#define USE_SOLARIS_PROJECTS 1 11348#define USE_SOLARIS_PROJECTS 1
10938_ACEOF 11349_ACEOF
10939 11350
10940 SSHDLIBS="$SSHDLIBS -lproject" 11351 LIBS="$LIBS -lproject"
10941 SP_MSG="yes" 11352 SP_MSG="yes"
10942fi 11353fi
10943 11354
10944 11355
10945fi 11356fi
10946 11357
11358
11359# Check whether --with-solaris-privs was given.
11360if test "${with_solaris_privs+set}" = set; then
11361 withval=$with_solaris_privs;
11362 { echo "$as_me:$LINENO: checking for Solaris/Illumos privilege support" >&5
11363echo $ECHO_N "checking for Solaris/Illumos privilege support... $ECHO_C" >&6; }
11364 if test "x$ac_cv_func_setppriv" = "xyes" -a \
11365 "x$ac_cv_header_priv_h" = "xyes" ; then
11366 SOLARIS_PRIVS=yes
11367 { echo "$as_me:$LINENO: result: found" >&5
11368echo "${ECHO_T}found" >&6; }
11369
11370cat >>confdefs.h <<\_ACEOF
11371#define NO_UID_RESTORATION_TEST 1
11372_ACEOF
11373
11374
11375cat >>confdefs.h <<\_ACEOF
11376#define USE_SOLARIS_PRIVS 1
11377_ACEOF
11378
11379 SPP_MSG="yes"
11380 else
11381 { echo "$as_me:$LINENO: result: not found" >&5
11382echo "${ECHO_T}not found" >&6; }
11383 { { echo "$as_me:$LINENO: error: *** must have support for Solaris privileges to use --with-solaris-privs" >&5
11384echo "$as_me: error: *** must have support for Solaris privileges to use --with-solaris-privs" >&2;}
11385 { (exit 1); exit 1; }; }
11386 fi
11387
11388fi
11389
10947 TEST_SHELL=$SHELL # let configure find us a capable shell 11390 TEST_SHELL=$SHELL # let configure find us a capable shell
10948 ;; 11391 ;;
10949*-*-sunos4*) 11392*-*-sunos4*)
@@ -11942,163 +12385,6 @@ fi
11942 12385
11943 12386
11944# Checks for libraries. 12387# Checks for libraries.
11945{ echo "$as_me:$LINENO: checking for yp_match" >&5
11946echo $ECHO_N "checking for yp_match... $ECHO_C" >&6; }
11947if test "${ac_cv_func_yp_match+set}" = set; then
11948 echo $ECHO_N "(cached) $ECHO_C" >&6
11949else
11950 cat >conftest.$ac_ext <<_ACEOF
11951/* confdefs.h. */
11952_ACEOF
11953cat confdefs.h >>conftest.$ac_ext
11954cat >>conftest.$ac_ext <<_ACEOF
11955/* end confdefs.h. */
11956/* Define yp_match to an innocuous variant, in case <limits.h> declares yp_match.
11957 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11958#define yp_match innocuous_yp_match
11959
11960/* System header to define __stub macros and hopefully few prototypes,
11961 which can conflict with char yp_match (); below.
11962 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
11963 <limits.h> exists even on freestanding compilers. */
11964
11965#ifdef __STDC__
11966# include <limits.h>
11967#else
11968# include <assert.h>
11969#endif
11970
11971#undef yp_match
11972
11973/* Override any GCC internal prototype to avoid an error.
11974 Use char because int might match the return type of a GCC
11975 builtin and then its argument prototype would still apply. */
11976#ifdef __cplusplus
11977extern "C"
11978#endif
11979char yp_match ();
11980/* The GNU C library defines this for functions which it implements
11981 to always fail with ENOSYS. Some functions are actually named
11982 something starting with __ and the normal name is an alias. */
11983#if defined __stub_yp_match || defined __stub___yp_match
11984choke me
11985#endif
11986
11987int
11988main ()
11989{
11990return yp_match ();
11991 ;
11992 return 0;
11993}
11994_ACEOF
11995rm -f conftest.$ac_objext conftest$ac_exeext
11996if { (ac_try="$ac_link"
11997case "(($ac_try" in
11998 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11999 *) ac_try_echo=$ac_try;;
12000esac
12001eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12002 (eval "$ac_link") 2>conftest.er1
12003 ac_status=$?
12004 grep -v '^ *+' conftest.er1 >conftest.err
12005 rm -f conftest.er1
12006 cat conftest.err >&5
12007 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12008 (exit $ac_status); } && {
12009 test -z "$ac_c_werror_flag" ||
12010 test ! -s conftest.err
12011 } && test -s conftest$ac_exeext &&
12012 $as_test_x conftest$ac_exeext; then
12013 ac_cv_func_yp_match=yes
12014else
12015 echo "$as_me: failed program was:" >&5
12016sed 's/^/| /' conftest.$ac_ext >&5
12017
12018 ac_cv_func_yp_match=no
12019fi
12020
12021rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12022 conftest$ac_exeext conftest.$ac_ext
12023fi
12024{ echo "$as_me:$LINENO: result: $ac_cv_func_yp_match" >&5
12025echo "${ECHO_T}$ac_cv_func_yp_match" >&6; }
12026if test $ac_cv_func_yp_match = yes; then
12027 :
12028else
12029
12030{ echo "$as_me:$LINENO: checking for yp_match in -lnsl" >&5
12031echo $ECHO_N "checking for yp_match in -lnsl... $ECHO_C" >&6; }
12032if test "${ac_cv_lib_nsl_yp_match+set}" = set; then
12033 echo $ECHO_N "(cached) $ECHO_C" >&6
12034else
12035 ac_check_lib_save_LIBS=$LIBS
12036LIBS="-lnsl $LIBS"
12037cat >conftest.$ac_ext <<_ACEOF
12038/* confdefs.h. */
12039_ACEOF
12040cat confdefs.h >>conftest.$ac_ext
12041cat >>conftest.$ac_ext <<_ACEOF
12042/* end confdefs.h. */
12043
12044/* Override any GCC internal prototype to avoid an error.
12045 Use char because int might match the return type of a GCC
12046 builtin and then its argument prototype would still apply. */
12047#ifdef __cplusplus
12048extern "C"
12049#endif
12050char yp_match ();
12051int
12052main ()
12053{
12054return yp_match ();
12055 ;
12056 return 0;
12057}
12058_ACEOF
12059rm -f conftest.$ac_objext conftest$ac_exeext
12060if { (ac_try="$ac_link"
12061case "(($ac_try" in
12062 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
12063 *) ac_try_echo=$ac_try;;
12064esac
12065eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
12066 (eval "$ac_link") 2>conftest.er1
12067 ac_status=$?
12068 grep -v '^ *+' conftest.er1 >conftest.err
12069 rm -f conftest.er1
12070 cat conftest.err >&5
12071 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12072 (exit $ac_status); } && {
12073 test -z "$ac_c_werror_flag" ||
12074 test ! -s conftest.err
12075 } && test -s conftest$ac_exeext &&
12076 $as_test_x conftest$ac_exeext; then
12077 ac_cv_lib_nsl_yp_match=yes
12078else
12079 echo "$as_me: failed program was:" >&5
12080sed 's/^/| /' conftest.$ac_ext >&5
12081
12082 ac_cv_lib_nsl_yp_match=no
12083fi
12084
12085rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12086 conftest$ac_exeext conftest.$ac_ext
12087LIBS=$ac_check_lib_save_LIBS
12088fi
12089{ echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_yp_match" >&5
12090echo "${ECHO_T}$ac_cv_lib_nsl_yp_match" >&6; }
12091if test $ac_cv_lib_nsl_yp_match = yes; then
12092 cat >>confdefs.h <<_ACEOF
12093#define HAVE_LIBNSL 1
12094_ACEOF
12095
12096 LIBS="-lnsl $LIBS"
12097
12098fi
12099
12100fi
12101
12102{ echo "$as_me:$LINENO: checking for setsockopt" >&5 12388{ echo "$as_me:$LINENO: checking for setsockopt" >&5
12103echo $ECHO_N "checking for setsockopt... $ECHO_C" >&6; } 12389echo $ECHO_N "checking for setsockopt... $ECHO_C" >&6; }
12104if test "${ac_cv_func_setsockopt+set}" = set; then 12390if test "${ac_cv_func_setsockopt+set}" = set; then
@@ -14599,7 +14885,8 @@ fi
14599done 14885done
14600 14886
14601 14887
14602# On some platforms, inet_ntop may be found in libresolv or libnsl. 14888# On some platforms, inet_ntop and gethostbyname may be found in libresolv
14889# or libnsl.
14603{ echo "$as_me:$LINENO: checking for library containing inet_ntop" >&5 14890{ echo "$as_me:$LINENO: checking for library containing inet_ntop" >&5
14604echo $ECHO_N "checking for library containing inet_ntop... $ECHO_C" >&6; } 14891echo $ECHO_N "checking for library containing inet_ntop... $ECHO_C" >&6; }
14605if test "${ac_cv_search_inet_ntop+set}" = set; then 14892if test "${ac_cv_search_inet_ntop+set}" = set; then
@@ -14683,6 +14970,89 @@ if test "$ac_res" != no; then
14683 14970
14684fi 14971fi
14685 14972
14973{ echo "$as_me:$LINENO: checking for library containing gethostbyname" >&5
14974echo $ECHO_N "checking for library containing gethostbyname... $ECHO_C" >&6; }
14975if test "${ac_cv_search_gethostbyname+set}" = set; then
14976 echo $ECHO_N "(cached) $ECHO_C" >&6
14977else
14978 ac_func_search_save_LIBS=$LIBS
14979cat >conftest.$ac_ext <<_ACEOF
14980/* confdefs.h. */
14981_ACEOF
14982cat confdefs.h >>conftest.$ac_ext
14983cat >>conftest.$ac_ext <<_ACEOF
14984/* end confdefs.h. */
14985
14986/* Override any GCC internal prototype to avoid an error.
14987 Use char because int might match the return type of a GCC
14988 builtin and then its argument prototype would still apply. */
14989#ifdef __cplusplus
14990extern "C"
14991#endif
14992char gethostbyname ();
14993int
14994main ()
14995{
14996return gethostbyname ();
14997 ;
14998 return 0;
14999}
15000_ACEOF
15001for ac_lib in '' resolv nsl; do
15002 if test -z "$ac_lib"; then
15003 ac_res="none required"
15004 else
15005 ac_res=-l$ac_lib
15006 LIBS="-l$ac_lib $ac_func_search_save_LIBS"
15007 fi
15008 rm -f conftest.$ac_objext conftest$ac_exeext
15009if { (ac_try="$ac_link"
15010case "(($ac_try" in
15011 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15012 *) ac_try_echo=$ac_try;;
15013esac
15014eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15015 (eval "$ac_link") 2>conftest.er1
15016 ac_status=$?
15017 grep -v '^ *+' conftest.er1 >conftest.err
15018 rm -f conftest.er1
15019 cat conftest.err >&5
15020 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15021 (exit $ac_status); } && {
15022 test -z "$ac_c_werror_flag" ||
15023 test ! -s conftest.err
15024 } && test -s conftest$ac_exeext &&
15025 $as_test_x conftest$ac_exeext; then
15026 ac_cv_search_gethostbyname=$ac_res
15027else
15028 echo "$as_me: failed program was:" >&5
15029sed 's/^/| /' conftest.$ac_ext >&5
15030
15031
15032fi
15033
15034rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
15035 conftest$ac_exeext
15036 if test "${ac_cv_search_gethostbyname+set}" = set; then
15037 break
15038fi
15039done
15040if test "${ac_cv_search_gethostbyname+set}" = set; then
15041 :
15042else
15043 ac_cv_search_gethostbyname=no
15044fi
15045rm conftest.$ac_ext
15046LIBS=$ac_func_search_save_LIBS
15047fi
15048{ echo "$as_me:$LINENO: result: $ac_cv_search_gethostbyname" >&5
15049echo "${ECHO_T}$ac_cv_search_gethostbyname" >&6; }
15050ac_res=$ac_cv_search_gethostbyname
15051if test "$ac_res" != no; then
15052 test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
15053
15054fi
15055
14686 15056
14687 15057
14688for ac_func in strftime 15058for ac_func in strftime
@@ -16524,6 +16894,7 @@ fi
16524 16894
16525 16895
16526 16896
16897
16527for ac_func in \ 16898for ac_func in \
16528 Blowfish_initstate \ 16899 Blowfish_initstate \
16529 Blowfish_expandstate \ 16900 Blowfish_expandstate \
@@ -16579,6 +16950,7 @@ for ac_func in \
16579 nsleep \ 16950 nsleep \
16580 ogetaddrinfo \ 16951 ogetaddrinfo \
16581 openlog_r \ 16952 openlog_r \
16953 pledge \
16582 poll \ 16954 poll \
16583 prctl \ 16955 prctl \
16584 pstat \ 16956 pstat \
@@ -20707,12 +21079,12 @@ openssl_engine=no
20707# Check whether --with-ssl-engine was given. 21079# Check whether --with-ssl-engine was given.
20708if test "${with_ssl_engine+set}" = set; then 21080if test "${with_ssl_engine+set}" = set; then
20709 withval=$with_ssl_engine; 21081 withval=$with_ssl_engine;
20710 if test "x$openssl" = "xno" ; then 21082 if test "x$withval" != "xno" ; then
20711 { { echo "$as_me:$LINENO: error: cannot use --with-ssl-engine when OpenSSL disabled" >&5 21083 if test "x$openssl" = "xno" ; then
21084 { { echo "$as_me:$LINENO: error: cannot use --with-ssl-engine when OpenSSL disabled" >&5
20712echo "$as_me: error: cannot use --with-ssl-engine when OpenSSL disabled" >&2;} 21085echo "$as_me: error: cannot use --with-ssl-engine when OpenSSL disabled" >&2;}
20713 { (exit 1); exit 1; }; } 21086 { (exit 1); exit 1; }; }
20714 fi 21087 fi
20715 if test "x$withval" != "xno" ; then
20716 openssl_engine=yes 21088 openssl_engine=yes
20717 fi 21089 fi
20718 21090
@@ -20999,6 +21371,7 @@ cat confdefs.h >>conftest.$ac_ext
20999cat >>conftest.$ac_ext <<_ACEOF 21371cat >>conftest.$ac_ext <<_ACEOF
21000/* end confdefs.h. */ 21372/* end confdefs.h. */
21001 21373
21374 #include <stdlib.h>
21002 #include <stdio.h> 21375 #include <stdio.h>
21003 #include <string.h> 21376 #include <string.h>
21004 #include <openssl/opensslv.h> 21377 #include <openssl/opensslv.h>
@@ -21015,7 +21388,8 @@ main ()
21015 if(fd == NULL) 21388 if(fd == NULL)
21016 exit(1); 21389 exit(1);
21017 21390
21018 if ((rc = fprintf(fd ,"%08x (%s)\n", OPENSSL_VERSION_NUMBER, OPENSSL_VERSION_TEXT)) <0) 21391 if ((rc = fprintf(fd ,"%08lx (%s)\n",
21392 (unsigned long)OPENSSL_VERSION_NUMBER, OPENSSL_VERSION_TEXT)) <0)
21019 exit(1); 21393 exit(1);
21020 21394
21021 exit(0); 21395 exit(0);
@@ -21184,6 +21558,7 @@ cat >>conftest.$ac_ext <<_ACEOF
21184 21558
21185 #include <string.h> 21559 #include <string.h>
21186 #include <openssl/opensslv.h> 21560 #include <openssl/opensslv.h>
21561 #include <openssl/crypto.h>
21187 21562
21188int 21563int
21189main () 21564main ()
@@ -24145,7 +24520,19 @@ fi
24145 24520
24146 24521
24147 24522
24148if test "x$sandbox_arg" = "xsystrace" || \ 24523if test "x$sandbox_arg" = "xpledge" || \
24524 ( test -z "$sandbox_arg" && test "x$ac_cv_func_pledge" = "xyes" ) ; then
24525 test "x$ac_cv_func_pledge" != "xyes" && \
24526 { { echo "$as_me:$LINENO: error: pledge sandbox requires pledge(2) support" >&5
24527echo "$as_me: error: pledge sandbox requires pledge(2) support" >&2;}
24528 { (exit 1); exit 1; }; }
24529 SANDBOX_STYLE="pledge"
24530
24531cat >>confdefs.h <<\_ACEOF
24532#define SANDBOX_PLEDGE 1
24533_ACEOF
24534
24535elif test "x$sandbox_arg" = "xsystrace" || \
24149 ( test -z "$sandbox_arg" && test "x$have_systr_policy_kill" = "x1" ) ; then 24536 ( test -z "$sandbox_arg" && test "x$have_systr_policy_kill" = "x1" ) ; then
24150 test "x$have_systr_policy_kill" != "x1" && \ 24537 test "x$have_systr_policy_kill" != "x1" && \
24151 { { echo "$as_me:$LINENO: error: systrace sandbox requires systrace headers and SYSTR_POLICY_KILL support" >&5 24538 { { echo "$as_me:$LINENO: error: systrace sandbox requires systrace headers and SYSTR_POLICY_KILL support" >&5
@@ -24238,6 +24625,14 @@ cat >>confdefs.h <<\_ACEOF
24238#define SANDBOX_RLIMIT 1 24625#define SANDBOX_RLIMIT 1
24239_ACEOF 24626_ACEOF
24240 24627
24628elif test "x$sandbox_arg" = "xsolaris" || \
24629 ( test -z "$sandbox_arg" && test "x$SOLARIS_PRIVS" = "xyes" ) ; then
24630 SANDBOX_STYLE="solaris"
24631
24632cat >>confdefs.h <<\_ACEOF
24633#define SANDBOX_SOLARIS 1
24634_ACEOF
24635
24241elif test -z "$sandbox_arg" || test "x$sandbox_arg" = "xno" || \ 24636elif test -z "$sandbox_arg" || test "x$sandbox_arg" = "xno" || \
24242 test "x$sandbox_arg" = "xnone" || test "x$sandbox_arg" = "xnull" ; then 24637 test "x$sandbox_arg" = "xnone" || test "x$sandbox_arg" = "xnull" ; then
24243 SANDBOX_STYLE="none" 24638 SANDBOX_STYLE="none"
@@ -31719,6 +32114,9 @@ int
31719main () 32114main ()
31720{ 32115{
31721 32116
32117struct __res_state *volatile p = &_res; /* force resolution of _res */
32118return 0;
32119
31722 ; 32120 ;
31723 return 0; 32121 return 0;
31724} 32122}
@@ -36811,6 +37209,7 @@ echo " MD5 password support: $MD5_MSG"
36811echo " libedit support: $LIBEDIT_MSG" 37209echo " libedit support: $LIBEDIT_MSG"
36812echo " Solaris process contract support: $SPC_MSG" 37210echo " Solaris process contract support: $SPC_MSG"
36813echo " Solaris project support: $SP_MSG" 37211echo " Solaris project support: $SP_MSG"
37212echo " Solaris privilege support: $SPP_MSG"
36814echo " IP address in \$DISPLAY hack: $DISPLAY_HACK_MSG" 37213echo " IP address in \$DISPLAY hack: $DISPLAY_HACK_MSG"
36815echo " Translate v4 in v6 hack: $IPV4_IN6_HACK_MSG" 37214echo " Translate v4 in v6 hack: $IPV4_IN6_HACK_MSG"
36816echo " BSD Auth support: $BSD_AUTH_MSG" 37215echo " BSD Auth support: $BSD_AUTH_MSG"